/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * Transaction object.
 * @author BEAUVAIS ANTOINE
 */
public class RegistryEntry {
    
    private final int id;
    private final int transactionId;
    private final LocalDateTime dt;
    private final String description;
    private final BigDecimal debit;
    private final BigDecimal credit;
    private final String remarks;
    
    public RegistryEntry(int id, int transactionId, LocalDateTime dt,
            String description, BigDecimal debit, BigDecimal credit,
            String remarks)
    {
        this.id = id;
        this.transactionId = transactionId;
        this.dt = dt;
        this.description = description;
        this.debit = debit;
        this.credit = credit;
        this.remarks = remarks;
    }
    
    public int getId()
    {
        return this.id;
    }
    
    public int getTransactionId()
    {
        return this.transactionId;
    }
    
    public LocalDateTime getDatetime()
    {
        return this.dt;
    }
    
    public String getDescription()
    {
        return this.description;
    }
    
    public BigDecimal getDebit()
    {
        return this.debit;
    }
    
    public BigDecimal getCredit()
    {
        return this.credit;
    }
    
    public String getRemarks()
    {
        return this.remarks;
    }
    
}
